Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wtc.jatmi
Class evt_mib

    java.lang.Object
      |
      +--weblogic.wtc.jatmi.evt_mib

public final class evt_mib
extends java.lang.Object
implements FldTbl

Field Summary
`static int` | `TA_EB_API_CALL` number: 7010 type: string
`static int` | `TA_EB_COMP_SUB` number: 7015 type: short
`static int` | `TA_EB_DB_SEQNO` number: 7016 type: long
`static int` | `TA_EB_LAST_POLLED` number: 7013 type: long
`static int` | `TA_EB_LAST_SEQNO` number: 7012 type: long
`static int` | `TA_EB_MID` number: 7009 type: long
`static int` | `TA_EB_PID` number: 7008 type: long
`static int` | `TA_EB_POLL_INTERVAL` number: 7014 type: long
`static int` | `TA_EB_SUBSCRIBER_TYPE` number: 7011 type: long
`static int` | `TA_EJB_METHOD_NAME` number: 7018 type: string
`static int` | `TA_EJB_NAME` number: 7017 type: string
`static int` | `TA_ERROR_STRING` number: 7006 type: string
`static int` | `TA_EVENT_DESCRIPTION` number: 7005 type: string
`static int` | `TA_EVENT_LMID` number: 7002 type: string
`static int` | `TA_EVENT_NAME` number: 7000 type: string
`static int` | `TA_EVENT_SEVERITY` number: 7001 type: string
`static int` | `TA_EVENT_TIME` number: 7003 type: long
`static int` | `TA_EVENT_USEC` number: 7004 type: long

Constructor Summary
`evt_mib()`

Method Summary
`java.lang.String` | `Fldid_to_name(int fldid)`
`java.lang.String[]` | `getFldNames()`
`int` | `name_to_Fldid(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TA_EVENT_NAME

    public static final int TA_EVENT_NAME

  number: 7000 type: string

### TA_EVENT_SEVERITY

    public static final int TA_EVENT_SEVERITY

  number: 7001 type: string

### TA_EVENT_LMID

    public static final int TA_EVENT_LMID

  number: 7002 type: string

### TA_EVENT_TIME

    public static final int TA_EVENT_TIME

  number: 7003 type: long

### TA_EVENT_USEC

    public static final int TA_EVENT_USEC

  number: 7004 type: long

### TA_EVENT_DESCRIPTION

    public static final int TA_EVENT_DESCRIPTION

  number: 7005 type: string

### TA_ERROR_STRING

    public static final int TA_ERROR_STRING

  number: 7006 type: string

### TA_EB_PID

    public static final int TA_EB_PID

  number: 7008 type: long

### TA_EB_MID

    public static final int TA_EB_MID

  number: 7009 type: long

### TA_EB_API_CALL

    public static final int TA_EB_API_CALL

  number: 7010 type: string

### TA_EB_SUBSCRIBER_TYPE

    public static final int TA_EB_SUBSCRIBER_TYPE

  number: 7011 type: long

### TA_EB_LAST_SEQNO

    public static final int TA_EB_LAST_SEQNO

  number: 7012 type: long

### TA_EB_LAST_POLLED

    public static final int TA_EB_LAST_POLLED

  number: 7013 type: long

### TA_EB_POLL_INTERVAL

    public static final int TA_EB_POLL_INTERVAL

  number: 7014 type: long

### TA_EB_COMP_SUB

    public static final int TA_EB_COMP_SUB

  number: 7015 type: short

### TA_EB_DB_SEQNO

    public static final int TA_EB_DB_SEQNO

  number: 7016 type: long

### TA_EJB_NAME

    public static final int TA_EJB_NAME

  number: 7017 type: string

### TA_EJB_METHOD_NAME

    public static final int TA_EJB_METHOD_NAME

  number: 7018 type: string

Constructor Detail

### evt_mib

    public evt_mib()

Method Detail

### Fldid_to_name

    public java.lang.String Fldid_to_name(int fldid)

  Specified by:
    Fldid_to_name in interface FldTbl

### name_to_Fldid

    public int name_to_Fldid(java.lang.String name)

  Specified by:
    name_to_Fldid in interface FldTbl

### getFldNames

    public java.lang.String[] getFldNames()

  Specified by:
    getFldNames in interface FldTbl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference